diff options
author | Jeremy Benoist <jeremy.benoist@gmail.com> | 2016-11-03 16:41:29 +0100 |
---|---|---|
committer | Jeremy Benoist <jeremy.benoist@gmail.com> | 2016-11-03 16:41:29 +0100 |
commit | 5a619812ca3eb05a82a023ccdaee13501eb8d45f (patch) | |
tree | a1541999a3e13f9bb8b45d3a61320ee61aa4eb3c /scripts | |
parent | da4136557963018287cae61226e9006c3c741747 (diff) | |
parent | 84795d015b3c7e1af48a3dda3cb33cf080b66e8f (diff) | |
download | wallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.tar.gz wallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.tar.zst wallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.zip |
Merge remote-tracking branch 'origin/master' into 2.2
Diffstat (limited to 'scripts')
-rw-r--r-- | scripts/dev.sh | 14 | ||||
-rw-r--r-- | scripts/install.sh | 10 | ||||
-rw-r--r-- | scripts/require.sh | 9 | ||||
-rw-r--r-- | scripts/update.sh | 10 |
4 files changed, 35 insertions, 8 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh index 9b89da35..0703ced1 100644 --- a/scripts/dev.sh +++ b/scripts/dev.sh | |||
@@ -1,7 +1,13 @@ | |||
1 | #! /usr/bin/env bash | 1 | #!/usr/bin/env bash |
2 | # You can execute this file to install wallabag dev environmnet | 2 | # You can execute this file to install wallabag dev environment |
3 | # eg: `sh install.sh prod` | 3 | # eg: `sh dev.sh` |
4 | 4 | ||
5 | composer install | 5 | COMPOSER_COMMAND='composer' |
6 | |||
7 | DIR="${BASH_SOURCE}" | ||
8 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | ||
9 | . "$DIR/require.sh" | ||
10 | |||
11 | $COMPOSER_COMMAND install | ||
6 | php bin/console wallabag:install | 12 | php bin/console wallabag:install |
7 | php bin/console server:run | 13 | php bin/console server:run |
diff --git a/scripts/install.sh b/scripts/install.sh index 54d0bb78..62a46f4f 100644 --- a/scripts/install.sh +++ b/scripts/install.sh | |||
@@ -1,10 +1,16 @@ | |||
1 | #! /usr/bin/env bash | 1 | #!/usr/bin/env bash |
2 | # You can execute this file to install wallabag | 2 | # You can execute this file to install wallabag |
3 | # eg: `sh install.sh prod` | 3 | # eg: `sh install.sh prod` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | ||
6 | |||
7 | DIR="${BASH_SOURCE}" | ||
8 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | ||
9 | . "$DIR/require.sh" | ||
10 | |||
5 | ENV=$1 | 11 | ENV=$1 |
6 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) | 12 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) |
7 | 13 | ||
8 | git checkout $TAG | 14 | git checkout $TAG |
9 | SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist | 15 | SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist |
10 | php bin/console wallabag:install --env=$ENV | 16 | php bin/console wallabag:install --env=$ENV |
diff --git a/scripts/require.sh b/scripts/require.sh new file mode 100644 index 00000000..ddfb3dd2 --- /dev/null +++ b/scripts/require.sh | |||
@@ -0,0 +1,9 @@ | |||
1 | #! /usr/bin/env bash | ||
2 | # File used to check dependencies | ||
3 | |||
4 | if [ ! -f composer.phar ]; then | ||
5 | echo "composer.phar not found, we'll see if composer is installed globally." | ||
6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | ||
7 | else | ||
8 | COMPOSER_COMMAND='composer.phar' | ||
9 | fi | ||
diff --git a/scripts/update.sh b/scripts/update.sh index b920a829..f43c4f24 100644 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -1,7 +1,13 @@ | |||
1 | #! /usr/bin/env bash | 1 | #!/usr/bin/env bash |
2 | # You can execute this file to update wallabag | 2 | # You can execute this file to update wallabag |
3 | # eg: `sh update.sh prod` | 3 | # eg: `sh update.sh prod` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | ||
6 | |||
7 | DIR="${BASH_SOURCE}" | ||
8 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | ||
9 | . "$DIR/require.sh" | ||
10 | |||
5 | ENV=$1 | 11 | ENV=$1 |
6 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) | 12 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) |
7 | 13 | ||
@@ -9,5 +15,5 @@ rm -rf var/cache/* | |||
9 | git fetch origin | 15 | git fetch origin |
10 | git fetch --tags | 16 | git fetch --tags |
11 | git checkout $TAG --force | 17 | git checkout $TAG --force |
12 | SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist | 18 | SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist |
13 | php bin/console cache:clear --env=$ENV | 19 | php bin/console cache:clear --env=$ENV |